Bug 809319 - RFE: Warn/Act on RH-Internal-Only topic inclusion
RFE: Warn/Act on RH-Internal-Only topic inclusion
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 01:36 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.24.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:30:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-03 01:36:53 EDT
I've created an "RH-Internal-Only" tag for topics. 

Topics containing Red Hat-confidential information such as internal server urls and so forth, should be tagged with this tag, and the RFE is that the system should warn when this content is included in a book / other output and possibly disallow certain combinations of operations based on this tag.

For example: we could even check the publican.cfg content in the content spec to enforce that no content spec can be tagged against the public git tag *and* contain RH-Internal-Only tagged topics.

This will prevent private information from being published.
Comment 1 Lee Newson 2012-05-18 10:02:19 EDT
Added in 0.24.0

If a topic is tagged with the Internal-Only tag a message will be displayed when pushing, validating or building. The message is "The topic is an internal-only topic and contains sensitive information. Ensure you are not publishing this publicly."
Comment 2 Lee Newson 2012-05-18 10:03:40 EDT
As for the publican.cfg it's impossible with out a list to determine if the git repo is a public one. Also doing this would then bind the processor to those repo, which shouldn't happen.
Comment 3 Lee Newson 2013-06-06 21:30:36 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.